<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <h1>Object Literal</h1>
    <script>

        let name = 'John';
        let myObj = {
            name,
            sayHi() {
                console.log("Hi, my name is " + this.name)
            }
        };
        myObj.sayHi(); // Hi, my name is John

    </script>

</html>